Bug 145425 - up2date: Unresolvable chain of dependencies: NetworkManager 0.3.3-1.cvs20050112.1.fc requires libiw.so.27
up2date: Unresolvable chain of dependencies: NetworkManager 0.3.3-1.cvs20050...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-18 05:08 EST by Alex CONRAD
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:13:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex CONRAD 2005-01-18 05:08:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
Hello,

I did a fresh install of my system from FC3's DVD (using kickstart).

Apparently, a new package "NetworkManager" has been upgrade. When I 
do a "up2date -u" (or even using the GUI), I get such a message:

---cut---
[...]

Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
NetworkManager  0.3.3-1.cvs20050112.1.fc requires libiw.so.27

---cut---

I did fresh installs a few days ago, I didn't have this problem. I'm 
not sure if this bug has to be posted in "up2date" or another 
component like "NetworkManager" or maybe "RPM" ?

Version-Release number of selected component (if applicable):
up2date-4.3.47-5

How reproducible:
Always

Steps to Reproduce:
(Reproducibility since the new package is available for update)
1. up2date -u
2. just wait for the message...

Actual Results:  Unresolvable chain of dependencies:
NetworkManager  0.3.3-1.cvs20050112.1.fc requires libiw.so.27

Expected Results:  Start updating all the packages.

Additional info:
Comment 1 John F. Kohler 2005-01-18 11:21:49 EST
I got the same problem.  I tried up2date from a terminal window and
got the same response when I tried up2date wireless-tools

John Kohler
Daly City, CA
Comment 2 Ladar Levison 2005-02-14 11:42:59 EST
Same problem... (note, new install with now updates yet applied).

[root@megan ~]# up2date -u
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-3
using mirror: http://ftp.ussg.iu.edu/linux/fedora/linux/core/3/x86_64/os/
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc3
using mirror: http://mirrors.kernel.org/fedora/core/updates/3/x86_64/

Fetching Obsoletes list for channel: fedora-core-3...

Fetching Obsoletes list for channel: updates-released-fc3...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
NetworkManager                          0.3.3         
1.cvs20050119.2.fc3x86_64
bash                                    3.0            18            
   x86_64
bind-libs                               9.2.4          8_FC3         
   x86_64
bind-utils                              9.2.4          8_FC3         
   x86_64
cups                                    1.1.22         0.rc1.8.5     
   x86_64
cups-libs                               1.1.22         0.rc1.8.5     
   x86_64
dbus                                    0.22           10.FC3.2      
   x86_64
dbus-glib                               0.22           10.FC3.2      
   x86_64
dhclient                                3.0.1          30_FC3        
   x86_64
dhcpv6_client                           0.10           11_FC3        
   x86_64
dump                                    0.4b39         1.FC3         
   x86_64
file                                    4.12           1.FC3.1       
   x86_64
glib2                                   2.4.8          1.fc3         
   x86_64
glibc                                   2.3.4          2.fc3         
   i686
glibc                                   2.3.4          2.fc3         
   x86_64
glibc-common                            2.3.4          2.fc3         
   x86_64
grep                                    2.5.1          31.4          
   x86_64
hal                                     0.4.7          1.FC3         
   x86_64
hotplug                                 2004_04_01     8.1           
   x86_64
initscripts                             7.93.5         1             
   x86_64
ipsec-tools                             0.3.3          2             
   x86_64
iptables                                1.2.11         3.1.FC3       
   x86_64
jwhois                                  3.2.2          6.FC3.1       
   x86_64
krb5-libs                               1.3.6          2             
   x86_64
krb5-workstation                        1.3.6          2             
   x86_64
libpng                                  1.2.8          1.fc3         
   x86_64
libselinux                              1.19.1         8             
   x86_64
libtiff                                 3.6.1          9.fc3         
   x86_64
libxml2                                 2.6.16         3             
   x86_64
libxml2-python                          2.6.16         3             
   x86_64
man                                     1.5o1          7             
   x86_64
net-tools                               1.60           37.FC3.1      
   x86_64
nfs-utils                               1.0.6          44            
   x86_64
nscd                                    2.3.4          2.fc3         
   x86_64
pam                                     0.77           66.2          
   x86_64
pcmcia-cs                               3.2.7          2.1           
   x86_64
policycoreutils                         1.18.1         2.6           
   x86_64
prelink                                 0.3.3          0.fc3         
   x86_64
procps                                  3.2.3          5.1           
   x86_64
python                                  2.3.4          13.1          
   x86_64
redhat-menus                            3.7.1          1.fc3         
   noarch
rhpl                                    0.148.1        2             
   x86_64
rmt                                     0.4b39         1.FC3         
   x86_64
rsh                                     0.17           24.1          
   x86_64
selinux-policy-targeted                 1.17.30        2.75          
   noarch
shadow-utils                            4.0.3          56            
   x86_64
slang                                   1.4.9          13            
   x86_64
sysklogd                                1.4.1          26_FC3        
   x86_64
system-config-securitylevel-tui         1.4.18         2             
   x86_64
tzdata                                  2005c          1.fc3         
   noarch
udev                                    039            10.FC3.6      
   x86_64
vim-common                              6.3.054        0.fc3.1       
   x86_64
vim-enhanced                            6.3.054        0.fc3.1       
   x86_64
vim-minimal                             6.3.054        0.fc3.1       
   x86_64
vixie-cron                              4.1            20_FC3        
   x86_64
wireless-tools                          27             0.pre25.3     
   x86_64
words                                   3.0            2             
   noarch
xorg-x11-Mesa-libGL                     6.8.1          12.FC3.21     
   x86_64
xorg-x11-libs                           6.8.1          12.FC3.21     
   x86_64
yum                                     2.1.12         0.fc3         
   noarch
zip                                     2.3            26.3          
   x86_64


Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
hal-0.4.7-1.FC3                          requires kernel >= 2.6.10
Comment 3 Matthew Miller 2006-07-10 18:38:07 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-29 10:13:17 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.